Name:       english-typing-booster
Version:    0.0.2
Release:    1%{?dist}
Summary:    English typing booster engine for IBus European tables
License:    MIT
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/english-typing-booster/
Source0:    https://fedorahosted.org/releases/e/n/english-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch

Requires:         ibus, ibus-european-table 
BuildRequires:    ibus, ibus-european-table 

%description
English typing booster engine for IBus European tables

%prep
%setup -q

%build
./configure --prefix=%{_prefix} 
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install


%post
ibus-european-table-createdb -i -n %{_datadir}/ibus-european-table/european-tables/english-dict.db


%files
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-european-table/icons/english.png
%{_datadir}/ibus-european-table/european-tables/english-dict.db

%changelog
* Tue Jan 24 2012 Anish Patil <anish.developer@gmail.com> - 0.0.2-1
- Upstream has released new version , Changed the license 

* Wed Jan 4 2012 Anish Patil <anish.developer@gmail.com> - 0.0.1-2
- Spec file cleanup

* Tue Dec 20 2011 Anish Patil <anish.developer@gmail.com> - 0.0.1-1
- Initial Release
